package io.kiteboard.phathddemo;
import com.isquare.kite.exthw.ScrollPHATHD;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;

public class BadgeSetup extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_badge_setup);
    }

    private class ScreenReciver extends BroadcastReceiver {
        @Override
        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            if(action.equals(Intent.ACTION_SCREEN_OFF)) {
                ScrollPHATHD.init();
                ScrollPHATHD.draw_string("Shree Kumar", 0,1,0.01f,true,false);
                ScrollPHATHD.scroll_to(0,0);
                for(int i=0;i<8;i++) {
                    ScrollPHATHD.show(i);
                    ScrollPHATHD.scroll(4, 0);
                }
                ScrollPHATHD.animate(60);
            }
            if(action.equals(Intent.ACTION_SCREEN_ON)) {
                ScrollPHATHD.init();
                ScrollPHATHD.picture_mode();
                ScrollPHATHD.set_fb_size(17,7);
                ScrollPHATHD.clear();
                ScrollPHATHD.flip();
            }
        }
    }



    private ScreenReciver mReceiver = new ScreenReciver();
    @Override
    protected void onResume() {
        super.onResume();

        IntentFilter filter = new IntentFilter(Intent.ACTION_SCREEN_OFF);
        filter.addAction(Intent.ACTION_SCREEN_ON);
        registerReceiver(mReceiver, filter);
    }
}
